## ros-catkin-pkg 0.2.10

=== Makefile ===
.PHONY: all setup clean_dist distro clean install testsetup test

NAME=catkin_pkg
VERSION=`./setup.py --version`

all:
	echo "noop for debbuild"

setup:
	echo "building version ${VERSION}"

clean_dist:
	-rm -f MANIFEST
	-rm -rf dist
	-rm -rf deb_dist

distro: setup clean_dist
	python setup.py sdist

clean: clean_dist
	echo "clean"

install: distro
	sudo checkinstall python setup.py install

testsetup:
	echo "running ${NAME} tests"

test: testsetup
	cd test && nosetests && nosetests3

=== test/data/metapackages/invalid_cmake/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(invalid_cmake)
find_package(catkin REQUIRED)
catkin_package()

=== test/data/metapackages/invalid_depends/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(invalid_depends)
find_package(catkin REQUIRED)
catkin_metapackage()

=== test/data/metapackages/no_metapackage_tag/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(no_metapackage_tag)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-catkin-pkg (0.2.10-4) unstable; urgency=medium

  * Update Vcs URLs
  * Update my email address
  * Set priority to optional to make deb check happy

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 26 Dec 2016 18:08:49 +0100

ros-catkin-pkg (0.2.10-3) unstable; urgency=medium

  * Add build dependency
  * Bumped Standards-Version to 3.9.8, no changes needed.

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Tue, 26 Jul 2016 10:07:08 +0200

ros-catkin-pkg (0.2.10-2) unstable; urgency=medium

  * Fix my mail address.
  * Get rid of lintian nmu warnings.

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Thu, 07 Jan 2016 10:24:26 +0100

ros-catkin-pkg (0.2.10-1) unstable; urgency=medium

  * Initial release. (Closes: #729057)

 -- Wookey <wookey@debian.org>  Fri, 06 Nov 2015 15:39:22 +0000

=== debian/control ===
Source: ros-catkin-pkg
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
	   Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
           Jochen Sprickerhof <jspricke@debian.org>
Section: python
Priority: optional
Build-Depends: python-all (>= 2.6.6-3), debhelper (>= 9),
               python,
               python-dateutil,
               python-docutils,
               python-mock,
               dh-python
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-catkin-pkg.git
Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-catkin-pkg.git
Homepage: http://www.ros.org/wiki/catkin_pkg
X-Python-Version: >= 2.7

Package: python-catkin-pkg
Architecture: all
Multi-Arch: foreign
Depends: python,
         python-dateutil,
         python-docutils,
         python-mock,
         ${misc:Depends}
Description: Low-level build system macros for Robot OS -- Python module
 This package is part of Robot OS (ROS). It is a library for
 retrieving information about catkin packages. Catkin contains CMake
 macros that are useful in the development of ROS-related systems. ROS
 provides libraries and tools to help software developers create robot
 applications. 
 .
 This package is a Python module needed to use Catkin.

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.6.0+git at
# Mon, 01 Dec 2014 12:34:47 +0100

%:
	dh $@ --with python2 --buildsystem=python_distutils


override_dh_clean:
	rm -rf src/catkin_pkg.egg-info
	dh_clean

get-orig-source:
	uscan --verbose --force-download --repack --compress xz

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
# For GitHub projects you can use the tags page:

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/catkin_pkg-$1\.tar\.gz/ \
  https://github.com/ros-infrastructure/catkin_pkg/releases .*/v?(\d\S*)\.tar\.gz

## ros-catkin-pkg 0.3.5

=== debian/changelog ===
ros-catkin-pkg (0.3.5-3) unstable; urgency=medium

  * Enable python3- package

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 03 Jul 2017 23:45:24 +0200

ros-catkin-pkg (0.3.5-2) unstable; urgency=medium

  * Convert package to pybuild
  * Disable python3- package for now

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 30 Jun 2017 07:50:49 +0200

ros-catkin-pkg (0.3.5-1) unstable; urgency=medium

  * New upstream version 0.3.5
  * Rebase patch
  * Bump standards and dephelper
  * Update watch file

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 28 Jun 2017 06:22:59 +0200

ros-catkin-pkg (0.2.10-5) unstable; urgency=medium

  * Add patch for catkin_create_pkg

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 28 Jan 2017 17:13:02 +0100

=== debian/control ===
Source: ros-catkin-pkg
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>, Leopold Palomo-Avellaneda <leo@alaxarxa.net>, Jochen Sprickerhof <jspricke@debian.org>
Build-Depends: debhelper (>= 10), dh-python, python-all, python-setuptools, python3-all, python3-setuptools, python-mock, python3-mock, python-docutils, python3-docutils, python-dateutil, python3-dateutil
Standards-Version: 4.0.0
Homepage: http://www.ros.org/wiki/catkin_pkg
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/ros/ros-catkin-pkg.git
Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/ros/ros-catkin-pkg.git
#Testsuite: autopkgtest-pkg-python

Package: python-catkin-pkg
Architecture: all
Multi-Arch: foreign
Depends: ${python:Depends}, ${misc:Depends}
Description: Low-level build system macros for Robot OS -- Python 2 module
 This package is part of Robot OS (ROS). It is a library for
 retrieving information about catkin packages. Catkin contains CMake
 macros that are useful in the development of ROS-related systems. ROS
 provides libraries and tools to help software developers create robot
 applications.
 .
 This package is a Python 2 module needed to use Catkin.

Package: python3-catkin-pkg
Architecture: all
Multi-Arch: foreign
Depends: ${python:Depends}, ${misc:Depends}
Description: Low-level build system macros for Robot OS -- Python 3 module
 This package is part of Robot OS (ROS). It is a library for
 retrieving information about catkin packages. Catkin contains CMake
 macros that are useful in the development of ROS-related systems. ROS
 provides libraries and tools to help software developers create robot
 applications.
 .
 This package is a Python 2 module needed to use Catkin.

## ros-catkin-pkg 0.3.9

=== debian/changelog ===
ros-catkin-pkg (0.3.9-1) unstable; urgency=medium

  * New upstream version 0.3.9

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 03 Nov 2017 09:28:32 +0100

ros-catkin-pkg (0.3.8-1) unstable; urgency=medium

  * New upstream version 0.3.8

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 18 Oct 2017 08:09:14 +0200

ros-catkin-pkg (0.3.7-1) unstable; urgency=medium

  * New upstream version 0.3.7
  * Bump standards version (no changes).
  * Activate test suite

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 07 Oct 2017 12:59:15 +0200

ros-catkin-pkg (0.3.6-1) unstable; urgency=medium

  * Fix typo in description
  * Fix python3 dependencies
  * New upstream version 0.3.6

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 09 Sep 2017 16:36:40 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>, Leopold Palomo-Avellaneda <leo@alaxarxa.net>, Jochen Sprickerhof <jspricke@debian.org>
 Build-Depends: debhelper (>= 10), dh-python, python-all, python-setuptools, python3-all, python3-setuptools, python-mock, python3-mock, python-docutils, python3-docutils, python-dateutil, python3-dateutil
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Homepage: http://www.ros.org/wiki/catkin_pkg
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/ros/ros-catkin-pkg.git
 Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/ros/ros-catkin-pkg.git
-#Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-python
 
 Package: python-catkin-pkg
 Architecture: all
@@ -28,7 +28,7 @@
 Package: python3-catkin-pkg
 Architecture: all
 Multi-Arch: foreign
-Depends: ${python:Depends}, ${misc:Depends}
+Depends: ${python3:Depends}, ${misc:Depends}
 Description: Low-level build system macros for Robot OS -- Python 3 module
  This package is part of Robot OS (ROS). It is a library for
  retrieving information about catkin packages. Catkin contains CMake
@@ -36,4 +36,4 @@
  provides libraries and tools to help software developers create robot
  applications.
  .
- This package is a Python 2 module needed to use Catkin.
+ This package is a Python 3 module needed to use Catkin.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=catkin-pkg
export PYBUILD_AFTER_INSTALL=rm -rf 'debian/python3-catkin-pkg/usr/bin'

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-catkin-pkg-$1.tar.gz%" \
    https://github.com/ros-infrastructure/catkin_pkg/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ros-catkin-pkg 0.4.8

=== debian/changelog ===
ros-catkin-pkg (0.4.8-1) unstable; urgency=medium

  * New upstream version 0.4.8
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 19 Aug 2018 07:56:28 +0200

ros-catkin-pkg (0.4.7-1) unstable; urgency=medium

  * New upstream version 0.4.7

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 29 Jul 2018 22:01:40 +0200

ros-catkin-pkg (0.4.6-2) unstable; urgency=medium

  * Add missing dependency
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 17 Jul 2018 13:48:48 +0200

ros-catkin-pkg (0.4.6-1) unstable; urgency=medium

  * New upstream version 0.4.6
  * Remove shebang patch (done automatically)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 06 Jul 2018 21:44:36 +0200

ros-catkin-pkg (0.4.5-1) unstable; urgency=medium

  * New upstream version 0.4.5

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 02 Jul 2018 20:34:15 +0200

ros-catkin-pkg (0.4.3-2) unstable; urgency=medium

  * Add breaks due to move of /usr/bin/catkin_package_version (Closes: #900637)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 06 Jun 2018 13:59:45 +0200

ros-catkin-pkg (0.4.3-1) unstable; urgency=medium

  * New upstream version 0.4.3

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 01 Jun 2018 08:19:59 +0200

ros-catkin-pkg (0.4.2-3) unstable; urgency=medium

  * Add missing build dependencies

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 27 May 2018 17:30:05 +0200

ros-catkin-pkg (0.4.2-2) unstable; urgency=medium

  * Fix lintian warnings

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 27 May 2018 12:04:31 +0200

ros-catkin-pkg (0.4.2-1) unstable; urgency=medium

  * New upstream version 0.4.2
  * Update copyright

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 27 May 2018 09:48:57 +0200

ros-catkin-pkg (0.4.1-1) unstable; urgency=medium

  * Update Vcs URLs to salsa.d.o
  * http -> https
  * Add R³
  * New upstream version 0.4.1
  * Update copyright
  * Update policy and debhelper versions
  * Add new build dependencies

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 31 Mar 2018 22:20:01 +0200

=== debian/control ===
Source: ros-catkin-pkg
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>, Leopold Palomo-Avellaneda <leo@alaxarxa.net>, Jochen Sprickerhof <jspricke@debian.org>
Build-Depends: debhelper (>= 11), dh-python, python-all, python-setuptools, python3-all, python3-setuptools, python-mock, python3-mock, python-docutils, python3-docutils, python-dateutil, python3-dateutil, python-pyparsing, python3-pyparsing, python-flake8, python3-flake8
Standards-Version: 4.2.0
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/catkin_pkg
Vcs-Git: https://salsa.debian.org/science-team/ros-catkin-pkg.git
Vcs-Browser: https://salsa.debian.org/science-team/ros-catkin-pkg
Testsuite: autopkgtest-pkg-python

Package: python-catkin-pkg
Architecture: all
Multi-Arch: foreign
Depends: ${python:Depends}, ${misc:Depends}, python-pkg-resources
Replaces: catkin (<< 0.7.12-3)
Breaks: catkin (<< 0.7.12-3)
Description: Low-level build system macros for Robot OS -- Python 2 module
 This package is part of Robot OS (ROS). It is a library for
 retrieving information about catkin packages. Catkin contains CMake
 macros that are useful in the development of ROS-related systems. ROS
 provides libraries and tools to help software developers create robot
 applications.
 .
 This package is a Python 2 module needed to use Catkin.

Package: python3-catkin-pkg
Architecture: all
Multi-Arch: foreign
Depends: ${python3:Depends}, ${misc:Depends}, python3-pkg-resources
Description: Low-level build system macros for Robot OS -- Python 3 module
 This package is part of Robot OS (ROS). It is a library for
 retrieving information about catkin packages. Catkin contains CMake
 macros that are useful in the development of ROS-related systems. ROS
 provides libraries and tools to help software developers create robot
 applications.
 .
 This package is a Python 3 module needed to use Catkin.

## ros-catkin-pkg 0.4.10

=== debian/changelog ===
ros-catkin-pkg (0.4.10-1) unstable; urgency=medium

  * New upstream version 0.4.10
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 13 Jan 2019 11:34:20 +0100

ros-catkin-pkg (0.4.9-1) unstable; urgency=medium

  * New upstream version 0.4.9
  * Rebase patch
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 20 Oct 2018 19:47:12 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>, Leopold Palomo-Avellaneda <leo@alaxarxa.net>, Jochen Sprickerhof <jspricke@debian.org>
 Build-Depends: debhelper (>= 11), dh-python, python-all, python-setuptools, python3-all, python3-setuptools, python-mock, python3-mock, python-docutils, python3-docutils, python-dateutil, python3-dateutil, python-pyparsing, python3-pyparsing, python-flake8, python3-flake8
-Standards-Version: 4.2.0
+Standards-Version: 4.3.0
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/catkin_pkg
 Vcs-Git: https://salsa.debian.org/science-team/ros-catkin-pkg.git

## ros-catkin-pkg 0.4.13

=== debian/changelog ===
ros-catkin-pkg (0.4.13-1) unstable; urgency=medium

  * New upstream version 0.4.13
  * Bump policy version (no changes)
  * switch to debhelper-compat and debhelper 12
  * add Salsa CI

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 28 Jul 2019 17:19:29 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>, Leopold Palomo-Avellaneda <leo@alaxarxa.net>, Jochen Sprickerhof <jspricke@debian.org>
-Build-Depends: debhelper (>= 11), dh-python, python-all, python-setuptools, python3-all, python3-setuptools, python-mock, python3-mock, python-docutils, python3-docutils, python-dateutil, python3-dateutil, python-pyparsing, python3-pyparsing, python-flake8, python3-flake8
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 12), dh-python, python-all, python-setuptools, python3-all, python3-setuptools, python-mock, python3-mock, python-docutils, python3-docutils, python-dateutil, python3-dateutil, python-pyparsing, python3-pyparsing, python-flake8, python3-flake8
+Standards-Version: 4.4.0
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/catkin_pkg
 Vcs-Git: https://salsa.debian.org/science-team/ros-catkin-pkg.git

## ros-catkin-pkg 0.4.16

=== debian/changelog ===
ros-catkin-pkg (0.4.16-1) unstable; urgency=medium

  * New upstream version 0.4.16
  * bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 28 Jan 2020 21:40:18 +0100

ros-catkin-pkg (0.4.15-1) unstable; urgency=medium

  * New upstream version 0.4.15

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 14 Dec 2019 10:16:02 +0100

ros-catkin-pkg (0.4.14-2) unstable; urgency=medium

  * Drop Python 2 package (Closes: #938372)
  * Add d/clean
  * simplify d/watch

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 26 Oct 2019 16:17:13 +0200

ros-catkin-pkg (0.4.14-1) unstable; urgency=medium

  * New upstream version 0.4.14
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 16 Oct 2019 23:42:45 +0200

=== debian/control ===
Source: ros-catkin-pkg
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>, Leopold Palomo-Avellaneda <leo@alaxarxa.net>, Jochen Sprickerhof <jspricke@debian.org>
Build-Depends: debhelper-compat (= 12), dh-python, python3-all, python3-setuptools, python3-mock, python3-docutils, python3-dateutil, python3-pyparsing, python3-flake8
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/catkin_pkg
Vcs-Git: https://salsa.debian.org/science-team/ros-catkin-pkg.git
Vcs-Browser: https://salsa.debian.org/science-team/ros-catkin-pkg
Testsuite: autopkgtest-pkg-python

Package: python3-catkin-pkg
Architecture: all
Multi-Arch: foreign
Depends: ${python3:Depends}, ${misc:Depends}, python3-pkg-resources
Breaks: python-catkin-pkg (<< 0.4.14-2)
Replaces: python-catkin-pkg (<< 0.4.14-2)
Description: Low-level build system macros for Robot OS -- Python 3 module
 This package is part of Robot OS (ROS). It is a library for
 retrieving information about catkin packages. Catkin contains CMake
 macros that are useful in the development of ROS-related systems. ROS
 provides libraries and tools to help software developers create robot
 applications.
 .
 This package is a Python 3 module needed to use Catkin.

## ros-catkin-pkg 0.4.22

=== debian/changelog ===
ros-catkin-pkg (0.4.22-1) unstable; urgency=medium

  * New upstream version 0.4.22
  * Remove Thomas from Uploaders, thanks for working on this

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 27 Jun 2020 08:01:14 +0200

ros-catkin-pkg (0.4.20-1) unstable; urgency=medium

  * New upstream version 0.4.20
  * bump debhelper version

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 06 Jun 2020 07:36:12 +0200

## ros-catkin-pkg 0.4.23

=== debian/changelog ===
ros-catkin-pkg (0.4.23-1) unstable; urgency=medium

  * New upstream version 0.4.23

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 11 Oct 2020 13:17:45 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: python
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Thomas Moulard <thomas.moulard@gmail.com>, Leopold Palomo-Avellaneda <leo@alaxarxa.net>, Jochen Sprickerhof <jspricke@debian.org>
-Build-Depends: debhelper-compat (= 12), dh-python, python3-all, python3-setuptools, python3-mock, python3-docutils, python3-dateutil, python3-pyparsing, python3-flake8
+Uploaders: Leopold Palomo-Avellaneda <leo@alaxarxa.net>, Jochen Sprickerhof <jspricke@debian.org>
+Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-all, python3-setuptools, python3-mock, python3-docutils, python3-dateutil, python3-pyparsing, python3-flake8
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/catkin_pkg

## ros-catkin-pkg 0.4.24

=== debian/changelog ===
ros-catkin-pkg (0.4.24-2) unstable; urgency=medium

  * Add patch for new setuptools

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 02 Dec 2021 11:17:36 +0100

ros-catkin-pkg (0.4.24-1) unstable; urgency=medium

  * Drop gitlab-ci
  * Drop old Breaks/Replaces
  * New upstream version 0.4.24
  * Bump policy versions (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 01 Nov 2021 10:26:22 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Leopold Palomo-Avellaneda <leo@alaxarxa.net>, Jochen Sprickerhof <jspricke@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-all, python3-setuptools, python3-mock, python3-docutils, python3-dateutil, python3-pyparsing, python3-flake8
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/catkin_pkg
 Vcs-Git: https://salsa.debian.org/science-team/ros-catkin-pkg.git
@@ -15,8 +15,6 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${python3:Depends}, ${misc:Depends}, python3-pkg-resources
-Breaks: python-catkin-pkg (<< 0.4.14-2)
-Replaces: python-catkin-pkg (<< 0.4.14-2)
 Description: Low-level build system macros for Robot OS -- Python 3 module
  This package is part of Robot OS (ROS). It is a library for
  retrieving information about catkin packages. Catkin contains CMake

## ros-catkin-pkg 0.5.2

=== debian/changelog ===
ros-catkin-pkg (0.5.2-5) unstable; urgency=medium

  [ Johannes Rothe ]
  * Patch for github issue #351

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 12 Feb 2023 09:25:10 +0100

ros-catkin-pkg (0.5.2-4) unstable; urgency=medium

  * Enable autopkgtest-pkg-pybuild

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 10 Dec 2022 08:18:55 +0100

ros-catkin-pkg (0.5.2-3) unstable; urgency=medium

  * Limit search depth in /usr/share

 -- Timo Röhling <roehling@debian.org>  Sun, 02 Oct 2022 18:40:33 +0200

ros-catkin-pkg (0.5.2-2) unstable; urgency=medium

  * Ignore flake8 linting errors (Closes: #1020109)

 -- Timo Röhling <roehling@debian.org>  Sun, 18 Sep 2022 10:59:35 +0200

ros-catkin-pkg (0.5.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Timo Röhling ]
  * New upstream version 0.5.2

 -- Timo Röhling <roehling@debian.org>  Sun, 29 May 2022 01:35:58 +0200

ros-catkin-pkg (0.5.1-1) unstable; urgency=medium

  * New upstream version 0.5.1
  * Bump Standards-Version to 4.6.1
  * Add myself to uploaders

 -- Timo Röhling <roehling@debian.org>  Fri, 27 May 2022 10:30:06 +0200

ros-catkin-pkg (0.5.0-1) unstable; urgency=medium

  * New upstream version 0.5.0
  * Drop upstreamed patch
  * Update dependencies

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 11 May 2022 19:24:57 +0200

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-catkin-pkg-$1.tar.gz%" \
    https://github.com/ros-infrastructure/catkin_pkg/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## ros-catkin-pkg 1.0.0

=== debian/changelog ===
ros-catkin-pkg (1.0.0-3) unstable; urgency=medium

  * Stop using the deprecated pkg_resources module (Closes: #1083752)
  * Fix Python SyntaxWarning caused by regex string (Closes: #1087063)
  * Bump Standards-Version to 4.7.2
  * Wrap and sort Debian package files

 -- Timo Röhling <roehling@debian.org>  Wed, 20 Aug 2025 18:37:39 +0200

ros-catkin-pkg (1.0.0-2) unstable; urgency=medium

  * Readd AttributeError patch.
    Thanks to Johannes Rothe (Closes: #1053492)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 31 Oct 2023 09:32:26 +0100

ros-catkin-pkg (1.0.0-1) unstable; urgency=medium

  * New upstream version 1.0.0
  * Update patches
    - Drop patch for GitHub issue #351 (merged upstream)

 -- Timo Röhling <roehling@debian.org>  Sat, 16 Sep 2023 20:40:57 +0200

=== debian/control ===
Source: ros-catkin-pkg
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
 Jochen Sprickerhof <jspricke@debian.org>,
 Timo Röhling <roehling@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-dateutil,
 python3-docutils,
 python3-flake8 <!nocheck>,
 python3-pyparsing,
 python3-pytest <!nocheck>,
 python3-setuptools,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/catkin_pkg
Vcs-Git: https://salsa.debian.org/science-team/ros-catkin-pkg.git
Vcs-Browser: https://salsa.debian.org/science-team/ros-catkin-pkg
Testsuite: autopkgtest-pkg-pybuild

Package: python3-catkin-pkg
Architecture: all
Multi-Arch: foreign
Depends:
 python3-pkg-resources,
 ${misc:Depends},
 ${python3:Depends},
Description: Low-level build system macros for Robot OS -- Python 3 module
 This package is part of Robot OS (ROS). It is a library for
 retrieving information about catkin packages. Catkin contains CMake
 macros that are useful in the development of ROS-related systems. ROS
 provides libraries and tools to help software developers create robot
 applications.
 .
 This package is a Python 3 module needed to use Catkin.

## ros-catkin-pkg 1.1.0

=== Makefile ===
--- 
+++ 
@@ -27,4 +27,4 @@
 	echo "running ${NAME} tests"
 
 test: testsetup
-	cd test && nosetests && nosetests3
+	cd test && pytest && pytest-3

=== doc/Makefile ===
.PHONY: html apidoc clean upload

SPHINXAPIDOC=sphinx-apidoc

html: apidoc
	$(MAKE) -C _build html

apidoc:
	$(SPHINXAPIDOC) -F -o _build ../src/catkin_pkg
	sed -i "s/_build/./g" _build/Makefile

clean:
	-rm -rf _build

upload: html
	scp -r _build/html/ rosbot@ros.osuosl.org:/home/rosbot/docs/independent/api/catkin_pkg/

=== test/data/metapackages/NonConformingName/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(NonConformingName)
find_package(catkin REQUIRED)
catkin_metapackage()

=== test/data/metapackages/leftover_files/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(leftover_files)
find_package(catkin REQUIRED)
catkin_metapackage()

=== test/data/metapackages/leftover_files/Makefile ===
all: echo 'not supposed to be here'

=== test/data/metapackages/no_buildtool_depend_catkin/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(no_buildtool_depend_catkin)
find_package(catkin REQUIRED)
catkin_metapackage()

=== test/data/metapackages/valid_metapackage/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(valid_metapackage)
find_package(catkin REQUIRED)
catkin_metapackage()

=== test/data/metapackages/valid_metapackage_format2/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(valid_metapackage_format2)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-catkin-pkg (1.1.0-2) unstable; urgency=medium

  * Team upload.
  * Stop using the deprecated pkg_resources module (Closes: #1083752)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 29 Sep 2025 23:07:34 +0200

ros-catkin-pkg (1.1.0-1) unstable; urgency=medium

  * Migrate debian/watch to version 5 format
  * New upstream version 1.1.0
  * Update patches.
    Merged: 0003-Fix-AttributeError-with-docutils-0.18.patch
    Obsolete: 0004-Replace-pkg_resources.parse_version-by-packaging.ver.patch
    Merged: 0005-Fix-Python-SyntaxWarning-caused-by-regex-string.patch
    New: 0003-Drop-setuptools-from-install-requirements.patch

 -- Timo Röhling <roehling@debian.org>  Mon, 22 Sep 2025 18:05:36 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,6 @@
  python3-pytest <!nocheck>,
  python3-setuptools,
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/catkin_pkg
 Vcs-Git: https://salsa.debian.org/science-team/ros-catkin-pkg.git
 Vcs-Browser: https://salsa.debian.org/science-team/ros-catkin-pkg
@@ -27,7 +26,6 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
- python3-pkg-resources,
  ${misc:Depends},
  ${python3:Depends},
 Description: Low-level build system macros for Robot OS -- Python 3 module

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_TEST_ARGS = -k "not linter"

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
Version: 5

Template: Github
Owner: ros-infrastructure
Project: catkin_pkg
